# Get broadcast details

Fetches broadcast details.

```http
GET https://api.pozy.ai/v1/broadcasts/{broadcastId}
```

- Area: Automations / Broadcasts
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `broadcastId` (string, required)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/broadcasts/6ce1988a4c4f8bc6d3ca157a" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/broadcasts/6ce1988a4c4f8bc6d3ca157a", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/broadcasts/6ce1988a4c4f8bc6d3ca157a",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `success`, boolean
- `broadcast`, object
  - `id`, string
  - `name`, string
  - `description`, string
  - `platform`, string
  - `accountId`, string
  - `message`, object
    - `text`, string
  - `template`, object
    - `name`, string
    - `language`, string
  - `segmentFilters`, object
    - `tags`, array of string
    - `isSubscribed`, boolean
    - `customFields`, object
  - `status`, string: One of `draft`, `scheduled`, `sending`, `completed`, `failed`, `cancelled`
  - `scheduledAt`, string (date-time)
  - `startedAt`, string (date-time)
  - `completedAt`, string (date-time)
  - `recipientCount`, integer
  - `sentCount`, integer
  - `deliveredCount`, integer
  - `readCount`, integer
  - `failedCount`, integer
  - `createdAt`, string (date-time)
  - `updatedAt`, string (date-time)

```json
{
  "success": true,
  "broadcast": {
    "id": "6bfebd43ddc270f6d2c56fc5",
    "name": "Acme",
    "description": "A short description",
    "platform": "instagram",
    "accountId": "696e0b682d0a31188e7a2ba9",
    "message": {
      "text": "Hello from Pozy"
    },
    "template": {
      "name": "Acme",
      "language": "en"
    },
    "segmentFilters": {
      "tags": [
        "string"
      ],
      "isSubscribed": true,
      "customFields": {}
    },
    "status": "draft",
    "scheduledAt": "2026-10-02T09:00:00.000Z",
    "startedAt": "2026-10-02T09:00:00.000Z",
    "completedAt": "2026-10-02T09:00:00.000Z",
    "recipientCount": 42,
    "sentCount": 42,
    "deliveredCount": 42,
    "readCount": 42,
    "failedCount": 42,
    "createdAt": "2026-10-02T09:00:00.000Z",
    "updatedAt": "2026-10-02T09:00:00.000Z"
  }
}
```
